API explorerPages
Resolve a page; anyone still being paged is cleared
POST /api/agent/pages/{id}/resolve. Required scopes: oncall:write.
Loading API reference…
Required scopes: oncall:write
bearer oncall:writeAuthorizationBearer <token>A Notify agent token from notify auth login or the dashboard.
Scope: oncall:write
id*stringapplication/jsonnote?stringlength <= 500Success
application/jsonpage*curl -X POST 'https://example.com/api/agent/pages/string/resolve' \ -H 'Content-Type: application/json' \ -d '{}'{ "page": { "id": "string", "groupId": "string", "groupName": "string", "teamId": "string", "title": "string", "body": "string", "url": "string", "app": { "id": "string", "name": "string", "origin": "string", "iconUrl": "string" }, "status": "triggered", "dedupKey": "string", "repeatCount": 0, "notified": [ { "userId": "string", "name": "string", "image": "string" } ], "escalationStep": 0, "nextEscalationAt": "2019-08-24T14:15:22Z", "acknowledgedBy": { "userId": "string", "name": "string", "image": "string" }, "acknowledgedAt": "2019-08-24T14:15:22Z", "resolvedBy": { "userId": "string", "name": "string", "image": "string" }, "resolvedAt": "2019-08-24T14:15:22Z", "source": "string", "createdAt": "2019-08-24T14:15:22Z" }}